/*****************************************************
 * Semestralni prace k predmetu AD7B36WPA
 * Nazev:       Evidence ucastniku ozdravnych pobytu
 * Zpracovala:  Radoslava Jandova
 * Username:    jandora1
 * Obor:        STM-SwI, 4. semestr 2010/2011 leto
 * Konzultace:  Radek Hubner
 * **************************************************/
/*****************************************************
 * ManagedBean pro "Ucastnika".
 ****************************************************/
package controller;

import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import model.Ucastnik;

@ManagedBean(name = "managedPages")
@SessionScoped
public class ManagedPages {

    @EJB
    private UcastnikDAO facade; //fasada
    //promenne k metode FromMax
    int from = 0;
    public static final int MAX = 3;

    /** Creates a new instance of Ucastnik */
    public ManagedPages() {
    }

    public List<Ucastnik> getUcastniciFromMax() {
        return facade.findFromMax(from, MAX);
    }

    //jdi na prvni zaznam
    public String first() {
        from = 0;
        return "/ucastnik/listUcastnik";
    }

    //jdi na dalsi stranku
    public String next() {
        from = from + MAX;
        return "/ucastnik/listUcastnik";
    }

    public Boolean getLastPage() {
        return from + MAX >= facade.pocetUcastniku();
    }

    //jdi na predchozi stranku
    public String back() {
        from = from - MAX;
        if (from < 0) {
            from = 0;
        }
        return "/ucastnik/listUcastnik";
    }

    public Boolean getFirstPage() {
        return from == 0;
    }

    //jdi na posledni zaznam
    public String last() {
        from = facade.pocetUcastniku() - MAX;
        return "/ucastnik/listUcastnik";
    }
   
}
